
QGIS Application - Bug report #1798

X crashing while QGIS is loading a shapefile

2009-07-20 11:14 AM - peyo -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11858

Description

This shape make X crash while loading :

http://www.intactforests.org/download/shp/world_ifl_block30.zip

Extra information:

OS: debian squeeze // QGIS Version: 1.1.0-Pan // libqtgui4 version: 4.5.1-2 // postgresql : Version: 8.3.7-1 // postgis : Version: 1.3.5-1

History

#1 - 2009-07-20 11:26 AM - Jürgen Fischer

Replying to peyo:

This shape make X crash while loading :

doesn't crash with qgis 1.2.0 on sid (Qt 4.5.2; X.org 7.4; radeonhd 2.5)

#2 - 2009-07-20 11:28 AM - Giovanni Manghi

I cannot confirm this bug:

tested qgis 1.1 and 1.2/trunk under ubuntu 9.04 and qgis 1.2 under windows xp.

#3 - 2009-07-21 12:05 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed

I confirm: no crash on debian testing. Please check again if it is not a local problem. Reopen if necessary.

#4 - 2009-07-21 11:14 AM - peyo -

Here are logs at crash time (I use Gnome env) :

2025-12-15 1/2

http://www.intactforests.org/download/shp/world_ifl_block30.zip
/issues/show/1798


cat  /var/log/ | grep 19:55:17*

Jul 21 19:55:17 ringo seahorse-daemonr3629: Failed to send buffer

Jul 21 19:55:17 ringo seahorse-daemonr3629: Failed to send buffer

Jul 21 19:55:17 ringo gdmr3290: pam_unix(gdm:session): session closed for user peyo

Jul 21 19:55:17 ringo gdmr3290: WARNING: gdm_slave_xioerror_handler : erreur X fatale - Redémarrage de :0

Jul 21 19:55:17 ringo console-kit-daemonr2767: WARNING: Unable to activate console: No such device or address

Jul 21 19:55:17 ringo bonobo-activation-server (peyo-3765): could not associate with desktop session: Failed to connect to socket /tmp/dbus-BrVihjh3eH:

Connexion refusée

Jul 21 19:55:17 ringo gdmr3290: WARNING: gdm_slave_xioerror_handler : erreur X fatale - Redémarrage de :0

Jul 21 19:55:17 ringo bonobo-activation-server (peyo-3765): could not associate with desktop session: Failed to connect to socket /tmp/dbus-BrVihjh3eH:

Connexion refusée

Jul 21 19:55:17 ringo console-kit-daemonr2767: WARNING: Unable to activate console: No such device or address

Jul 21 19:55:17 ringo bonobo-activation-server (peyo-3765): could not associate with desktop session: Failed to connect to socket /tmp/dbus-BrVihjh3eH:

Connexion refusée

#5 - 2009-07-21 11:17 AM - Giovanni Manghi

Please, try it again on a different linux box/installation to exclude problems with your local definitions/configurations.
